import { useState, useEffect } from 'react';
import { json } from 'd3';

const educationUrl = "https://cdn.freecodecamp.org/testable-projects-fcc/data/choropleth_map/for_user_education.json";

export const useData = () => {
  const [data, setData] = useState(null);
  
	useEffect(() => {
    json(educationUrl).then(setData);
  }, []);

  return data;
};